PROGRAM probleme
implicit none

real x
integer i
x=1.
print*,'x=',x
call pas_bien(x)
end PROGRAM probleme

SUBROUTINE pas_bien(x)
implicit none
integer x
print*,'x=',x
return
end SUBROUTINE pas_bien

